---
title: "Get a manual collection by ID"
description: "Get the information of the specified manual collection."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/query-manual-collection-attributes-by-id'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/query-manual-collection-attributes-by-id.md'
---
# Get manual collection attributes by ID

Get the information of the specified manual collection. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/custom_collections/:custom_collection_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `custom_collection_id`

  string (required)

  The unique identifier for the manual collection.<br/>
  Maximum length：64 

### Query Parameters

* `fields`

  string (optional)

  Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `custom_collection` object in the response. 

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `custom_collection`

  object

  Manual collection information.

  * `body_html`

    string

    The collection description. 

  * `created_at`

    string

    The date and time when the collection was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `handle`

    string

    The semantically unique identifier for the collection,
    which is generated based on `title` by default.

  * `path`

    string

    The relative path of the collection page.

  * `published_scope`

    string

    The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. 

  * `updated_at`

    string

    The date and time when the collection was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `id`

    string

    The unique identifier for the collection.

  * `image`

    object

    The image of the collection.

    * `alt`

      string

      The alternative textual description of the collection image, usually a word or phrase with the characteristics or content of the image.

    * `src`

      string

      The link to the collection image, represented as a URL.

  * `published_at`

    string

    The date and time when the collection was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `sort_order`

    string

    Indicates the sorting method of the default sort value for the product list on the collection page.
    
    - `alpha-asc`: Sort by product name from A to Z
    - `alpha-desc`: Sort by product name from Z to A
    - `updated-desc`: Sort by update time from newest to oldest
    - `updated-asc`: Sort by update time from oldest to newest
    - `manual`: Sort by custom order
    - `created-desc`: Sort by creation time from newest to oldest
    - `created-asc`: Sort by creation time from oldest to newest
    - `price-asc`: Sort by the lowest selling price of product styles in ascending order
    - `price-desc`: Sort by the lowest selling price of product styles in descending order
    - `best-selling-last3days`: Sort by sales volume in the last 3 days in descending order
    - `best-selling-last7days`: Sort by sales volume in the last 7 days in descending order
    - `best-selling-last15days`: Sort by sales volume in the last 15 days in descending order
    - `best-selling-last30days`: Sort by sales volume in the last 30 days in descending order
    - `best-selling-last60days`: Sort by sales volume in the last 60 days in descending order
    - `best-selling`: Sort by sales volume in the last 90 days in descending order
    - `additional-purchase-rate-last3days`: Sort by add-to-cart rate in the last 3 days in descending order
    - `additional-purchase-rate-last7days`: Sort by add-to-cart rate in the last 7 days in descending order
    - `additional-purchase-rate-last15days`: Sort by add-to-cart rate in the last 15 days in descending order
    - `additional-purchase-rate-last30days`: Sort by add-to-cart rate in the last 30 days in descending order
    - `additional-purchase-rate-last60days`: Sort by add-to-cart rate in the last 60 days in descending order
    - `additional-purchase-rate-last90days`: Sort by add-to-cart rate in the last 90 days in descending order
    - `conversion-rate-last3days`: Sort by conversion rate in the last 3 days in descending order
    - `conversion-rate-last7days`: Sort by conversion rate in the last 7 days in descending order
    - `conversion-rate-last15days`: Sort by conversion rate in the last 15 days in descending order
    - `conversion-rate-desc`: Sort by conversion rate in the last 30 days in descending order
    - `conversion-rate-last60days`: Sort by conversion rate in the last 60 days in descending order
    - `conversion-rate-last90days`: Sort by conversion rate in the last 90 days in descending order
    - `additional-purchases-num-last3days`: Sort by add-to-cart quantity in the last 3 days in descending order
    - `additional-purchases-num-last7days`: Sort by add-to-cart quantity in the last 7 days in descending order
    - `additional-purchases-num-last15days`: Sort by add-to-cart quantity in the last 15 days in descending order
    - `additional-purchases-num-last30days`: Sort by add-to-cart quantity in the last 30 days in descending order
    - `additional-purchases-num-last60days`: Sort by add-to-cart quantity in the last 60 days in descending order
    - `add-to-cart-desc`: Sort by add-to-cart quantity in the last 90 days in descending order
    - `views-pv-last3days`: Sort by page views in the last 3 days in descending order
    - `views-pv-last7days`: Sort by page views in the last 7 days in descending order
    - `views-pv-last15days`: Sort by page views in the last 15 days in descending order
    - `views-pv-last30days`: Sort by page views in the last 30 days in descending order
    - `views-pv-last60days`: Sort by page views in the last 60 days in descending order
    - `view-desc`: Sort by page views in the last 90 days in descending order

  * `template_path`

    string

    The theme template of the collection.

  * `title`

    string

    The title of the collection.

  * `banner`

    object

    The cover image of the collection.

    * `alt`

      string

      The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.

    * `src`

      string

      The link to the image, represented as a URL.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get manual collection attributes by ID"
  ],
  "description": "Get the information of the specified manual collection. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "6nf1FLgi",
  "parameters": [
    {
      "name": "fields",
      "in": "query",
      "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `custom_collection` object in the response. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `custom_collection` object in the response. ",
        "type": "string",
        "example": "title,handle"
      },
      "example": "title,handle",
      "examples": {
        "Get manual collection attributes by ID": {
          "value": ""
        }
      }
    },
    {
      "name": "custom_collection_id",
      "in": "path",
      "description": "The unique identifier for the manual collection.<br/>\nMaximum length：64 ",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "custom_collection_id",
        "description": "The unique identifier for the manual collection.<br/>\nMaximum length：64 ",
        "type": "string",
        "example": "12257170618007271602093384"
      },
      "example": "12257170618007271602093384",
      "examples": {
        "Get manual collection attributes by ID": {
          "value": "12259764246208273857373144"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "custom_collection": {
                "name": "custom_collection",
                "description": "Manual collection information.",
                "type": "object",
                "properties": {
                  "body_html": {
                    "name": "body_html",
                    "description": "The collection description. ",
                    "type": "string",
                    "example": "This is a description"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "The date and time when the collection was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2025-03-06T02:20:26+08:00"
                  },
                  "handle": {
                    "name": "handle",
                    "description": "The semantically unique identifier for the collection,\nwhich is generated based on `title` by default.",
                    "type": "string",
                    "example": "collection-handle"
                  },
                  "path": {
                    "name": "path",
                    "description": "The relative path of the collection page.",
                    "type": "string",
                    "example": "/collections/spring"
                  },
                  "published_scope": {
                    "name": "published_scope",
                    "description": "The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. ",
                    "type": "string"
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "The date and time when the collection was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2025-03-06T02:20:26+08:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "The unique identifier for the collection.",
                    "type": "string",
                    "example": "12257170618007271602093384"
                  },
                  "image": {
                    "name": "image",
                    "description": "The image of the collection.",
                    "type": "object",
                    "properties": {
                      "alt": {
                        "name": "alt",
                        "description": "The alternative textual description of the collection image, usually a word or phrase with the characteristics or content of the image.",
                        "type": "string",
                        "example": "This is an image alt"
                      },
                      "src": {
                        "name": "src",
                        "description": "The link to the collection image, represented as a URL.",
                        "type": "string",
                        "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "example": {
                      "alt": "This is an image alt",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    }
                  },
                  "published_at": {
                    "name": "published_at",
                    "description": "The date and time when the collection was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2025-03-06T02:20:26+08:00"
                  },
                  "sort_order": {
                    "name": "sort_order",
                    "description": "Indicates the sorting method of the default sort value for the product list on the collection page.\n\n- `alpha-asc`: Sort by product name from A to Z\n- `alpha-desc`: Sort by product name from Z to A\n- `updated-desc`: Sort by update time from newest to oldest\n- `updated-asc`: Sort by update time from oldest to newest\n- `manual`: Sort by custom order\n- `created-desc`: Sort by creation time from newest to oldest\n- `created-asc`: Sort by creation time from oldest to newest\n- `price-asc`: Sort by the lowest selling price of product styles in ascending order\n- `price-desc`: Sort by the lowest selling price of product styles in descending order\n- `best-selling-last3days`: Sort by sales volume in the last 3 days in descending order\n- `best-selling-last7days`: Sort by sales volume in the last 7 days in descending order\n- `best-selling-last15days`: Sort by sales volume in the last 15 days in descending order\n- `best-selling-last30days`: Sort by sales volume in the last 30 days in descending order\n- `best-selling-last60days`: Sort by sales volume in the last 60 days in descending order\n- `best-selling`: Sort by sales volume in the last 90 days in descending order\n- `additional-purchase-rate-last3days`: Sort by add-to-cart rate in the last 3 days in descending order\n- `additional-purchase-rate-last7days`: Sort by add-to-cart rate in the last 7 days in descending order\n- `additional-purchase-rate-last15days`: Sort by add-to-cart rate in the last 15 days in descending order\n- `additional-purchase-rate-last30days`: Sort by add-to-cart rate in the last 30 days in descending order\n- `additional-purchase-rate-last60days`: Sort by add-to-cart rate in the last 60 days in descending order\n- `additional-purchase-rate-last90days`: Sort by add-to-cart rate in the last 90 days in descending order\n- `conversion-rate-last3days`: Sort by conversion rate in the last 3 days in descending order\n- `conversion-rate-last7days`: Sort by conversion rate in the last 7 days in descending order\n- `conversion-rate-last15days`: Sort by conversion rate in the last 15 days in descending order\n- `conversion-rate-desc`: Sort by conversion rate in the last 30 days in descending order\n- `conversion-rate-last60days`: Sort by conversion rate in the last 60 days in descending order\n- `conversion-rate-last90days`: Sort by conversion rate in the last 90 days in descending order\n- `additional-purchases-num-last3days`: Sort by add-to-cart quantity in the last 3 days in descending order\n- `additional-purchases-num-last7days`: Sort by add-to-cart quantity in the last 7 days in descending order\n- `additional-purchases-num-last15days`: Sort by add-to-cart quantity in the last 15 days in descending order\n- `additional-purchases-num-last30days`: Sort by add-to-cart quantity in the last 30 days in descending order\n- `additional-purchases-num-last60days`: Sort by add-to-cart quantity in the last 60 days in descending order\n- `add-to-cart-desc`: Sort by add-to-cart quantity in the last 90 days in descending order\n- `views-pv-last3days`: Sort by page views in the last 3 days in descending order\n- `views-pv-last7days`: Sort by page views in the last 7 days in descending order\n- `views-pv-last15days`: Sort by page views in the last 15 days in descending order\n- `views-pv-last30days`: Sort by page views in the last 30 days in descending order\n- `views-pv-last60days`: Sort by page views in the last 60 days in descending order\n- `view-desc`: Sort by page views in the last 90 days in descending order",
                    "type": "string"
                  },
                  "template_path": {
                    "name": "template_path",
                    "description": "The theme template of the collection.",
                    "type": "string",
                    "example": "templates/collection.collection_template_name.json"
                  },
                  "title": {
                    "name": "title",
                    "description": "The title of the collection.",
                    "type": "string",
                    "example": "This is a collection title"
                  },
                  "banner": {
                    "name": "banner",
                    "description": "The cover image of the collection.",
                    "type": "object",
                    "properties": {
                      "alt": {
                        "name": "alt",
                        "description": "The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.",
                        "type": "string",
                        "example": "This is an image alt"
                      },
                      "src": {
                        "name": "src",
                        "description": "The link to the image, represented as a URL.",
                        "type": "string",
                        "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "example": {
                      "alt": "This is an image alt",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    }
                  }
                },
                "example": {
                  "sort_order": null,
                  "template_path": "templates/collection.collection_template_name.json",
                  "title": "This is a collection title",
                  "updated_at": "2025-03-06T02:20:26+08:00",
                  "banner": {
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png",
                    "alt": "This is an image alt"
                  },
                  "handle": "collection-handle",
                  "id": "12257170618007271602093384",
                  "image": {
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png",
                    "alt": "This is an image alt"
                  },
                  "published_at": "2025-03-06T02:20:26+08:00",
                  "body_html": "This is a description",
                  "created_at": "2025-03-06T02:20:26+08:00",
                  "path": "/collections/spring",
                  "published_scope": null
                }
              }
            },
            "example": {
              "custom_collection": {
                "created_at": "2025-03-06T02:20:26+08:00",
                "id": "12257170618007271602093384",
                "title": "This is a collection title",
                "updated_at": "2025-03-06T02:20:26+08:00",
                "banner": {
                  "alt": "This is an image alt",
                  "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                },
                "handle": "collection-handle",
                "image": {
                  "alt": "This is an image alt",
                  "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                },
                "path": "/collections/spring",
                "published_at": "2025-03-06T02:20:26+08:00",
                "published_scope": null,
                "sort_order": null,
                "template_path": "templates/collection.collection_template_name.json",
                "body_html": "This is a description"
              }
            }
          },
          "examples": {
            "Get manual collection attributes by ID": {
              "description": "Get manual collection attributes by ID.",
              "value": {
                "custom_collection": {
                  "created_at": "2023-06-12T14:19:35+08:00",
                  "handle": "first",
                  "id": "12259764246208273857373144",
                  "published_scope": "web",
                  "sort_order": "manual",
                  "template_path": "templates/collection.html",
                  "title": "First Custom Collection",
                  "updated_at": "2023-08-28T19:34:00+08:00",
                  "banner": {
                    "alt": "This is an alt",
                    "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                  },
                  "body_html": "<p>This is a desription</p>",
                  "image": {
                    "alt": "This is an alt",
                    "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                  },
                  "published_at": "2023-06-12T14:19:35+08:00"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/products/custom_collections/:custom_collection_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get manual collection attributes by ID",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```